-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlExtraClassMember

Declaration :

- C++ : class UmlExtraClassMember : public UmlBaseExtraClassMember
- Java : class UmlExtraClassMember extends UmlBaseExtraClassMember

This class allows to manage extra class member, It allows to insert C++ pre-processor directive (even they may be placed in the other member definition/declaration), etc ... You can modify it as you want (except the constructor)

Artifact : UmlExtraClassMember

Operation UmlExtraClassMember

Declaration :

- C++ : public: UmlExtraClassMember(void * id, const QCString & n) : UmlBaseExtraClassMember(id, n)
- Java : public UmlExtraClassMember(long id, String n)

All public operations :

apply , children , childrenVisible , cppDecl , cppDef , create , defined_ , description , identifier_ , idlDecl , isCppInline , isMarked , isToolRunning , isWritable , javaDecl , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_CppDecl , set_CppDef , set_Description , set_IdlDecl , set_isCppInline , set_isMarked , set_JavaDecl , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload , unload